zenilib: zenilib/jni/external/openal-soft/OpenAL32/alError.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Functions | Variables
alError.c File Reference
`#include "config.h"`
`#include <signal.h>`
`#include "alMain.h"`
`#include "AL/alc.h"`
`#include "alError.h"`

Go to the source code of this file.

## Functions

AL_API ALenum AL_APIENTRY | alGetError (void)
ALvoid | alSetError (ALCcontext *Context, ALenum errorCode)

## Variables

ALboolean | TrapALError = AL_FALSE

## Function Documentation

AL_API ALenum AL_APIENTRY alGetError | ( | void |  | ) |

Error retrieval.

Obtain the first error generated in the AL context since the last check.

Definition at line 46 of file alError.c.

References AL_INVALID_OPERATION, AL_NO_ERROR, ALCcontext_DecRef(), GetContextRef(), ALCcontext_struct::LastError, and TrapALError.

Referenced by checkALErrors(), DeletePlayer(), LoadEffect(), LoadSound(), main(), NewPlayer(), printEFXInfo(), StartPlayer(), and UpdatePlayer().

ALvoid alSetError | ( | ALCcontext * | Context,
|  | ALenum | errorCode
| ) |  |

Definition at line 31 of file alError.c.

References AL_NO_ERROR, ALCcontext_struct::LastError, and TrapALError.

Referenced by alEffectf(), alEffectfv(), alEffecti(), alEffectiv(), alFilterf(), alFilterfv(), alFilteri(), alFilteriv(), alGetEffectf(), alGetEffectfv(), alGetEffecti(), alGetEffectiv(), alGetFilterf(), alGetFilterfv(), alGetFilteri(), alGetFilteriv(), alGetSource3dSOFT(), alGetSource3f(), alGetSource3i(), alGetSource3i64SOFT(), alGetSourcedSOFT(), alGetSourcedvSOFT(), alGetSourcef(), alGetSourcefv(), alGetSourcei(), alGetSourcei64SOFT(), alGetSourcei64vSOFT(), alGetSourceiv(), alSource3dSOFT(), alSource3f(), alSource3i(), alSource3i64SOFT(), alSourcedSOFT(), alSourcedvSOFT(), alSourcef(), alSourcefv(), alSourcei(), alSourcei64SOFT(), alSourcei64vSOFT(), alSourceiv(), ded_GetParamf(), ded_GetParami(), ded_SetParamf(), ded_SetParami(), eaxreverb_GetParamf(), eaxreverb_GetParami(), eaxreverb_SetParamf(), eaxreverb_SetParamfv(), eaxreverb_SetParami(), echo_GetParamf(), echo_GetParami(), echo_SetParamf(), echo_SetParami(), lp_GetParamf(), lp_GetParami(), lp_GetParamiv(), lp_SetParamf(), lp_SetParami(), lp_SetParamiv(), mod_GetParamf(), mod_GetParami(), mod_SetParamf(), mod_SetParami(), null_GetParamf(), null_GetParamfv(), null_GetParami(), null_GetParamiv(), null_SetParamf(), null_SetParamfv(), null_SetParami(), null_SetParamiv(), reverb_GetParamf(), reverb_GetParami(), reverb_SetParamf(), and reverb_SetParami().

## Variable Documentation

ALboolean TrapALError = AL_FALSE

OpenAL cross platform audio library Copyright (C) 1999-2000 by authors. This library is free software; you can redistribute it and/or modify it under the terms of the GNU Library General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details.

You should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. Or go to http://www.gnu.org/copyleft/lgpl.html

Definition at line 29 of file alError.c.

Referenced by alc_initconfig(), alGetError(), and alSetError().